Package org.apache.el.stream

## Class Optional

- java.lang.Object
- - org.apache.el.stream.Optional

-     public class Optional
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get()` |
    `void` | `ifPresent​(LambdaExpression le)` |
    `java.lang.Object` | `orElse​(java.lang.Object other)` |
    `java.lang.Object` | `orElseGet​(java.lang.Object le)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public java.lang.Object get()
                               throws ELException

      Throws:
        `ELException`

    - #### ifPresent

          public void ifPresent​(LambdaExpression le)

    - #### orElse

          public java.lang.Object orElse​(java.lang.Object other)

    - #### orElseGet

          public java.lang.Object orElseGet​(java.lang.Object le)